﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace test
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            xamDataGrid1.DataSource = CreateData().DefaultView;
            xamDataGrid1.FieldLayoutInitialized += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(xamDataGrid1_FieldLayoutInitialized);
        }

        void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            //Get the CarName field
            Field idField = e.FieldLayout.Fields["CarName"];

            //Create the style in code behind
            Style s = new Style(typeof(CellValuePresenter));
            //Create DataTrigger
            DataTrigger trigger = new DataTrigger();
            //Create a Setter
            Setter setter = new Setter(CellValuePresenter.FontWeightProperty, FontWeights.Bold);
            //Create a Binding
            Binding binding = new Binding("Cells[IsDefault].Value");
            //Set the trigger properties
            trigger.Value = "1";
            trigger.Binding = binding;
            //Add the setter in the trigger
            trigger.Setters.Add(setter);
            //Add the trigger in the style
            s.Triggers.Add(trigger);
            //Set the Style to the field's property
            idField.Settings.CellValuePresenterStyle = s;
        }
        private DataTable CreateData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("CarName", typeof(string)));
            dt.Columns.Add(new DataColumn("IsDefault", typeof(int)));
            dt.Rows.Add("Car1", 1);
            dt.Rows.Add("Car2", 2);
            dt.Rows.Add("Car3", 3);
            return dt;
        }
    }
}
